Subject: imap

From: ben h kram <[email-masked]>
Date: Mon, 26 Nov 2001 17:21:38 -0500

Hi - I'm playing with imapd - I need a rather more virtual virtual server than can be found in the wild, so I've started with Patrik Hall's virtual user patch and working from there. 

Mine uses a single userid for all users, and a backend db for authentication.

I have it working (more or less) but I'm having an issue that I've yet to trace.

1. I'm doing this chrooted to the user's home directory
2. My test user directory has an "INBOX" (in mbx format) and a "test" box (mbx).
3. I can log in as my virtual user, I can read my mail, delete my mail, move my mail etc.
4. However, if I delete a message from my INBOX, when my client syncs with my server, I get garbage from the server, and what looks like an empty mailbox.
5. If I reload that mailbox (INBOX), it is fine.
6. This effect only happens when deleting and syncing the INBOX - the "test" box works fine.
7. I'm using mutt1.2.5 as my imap client.

I know that since I've been hacking the server, anything is suspect.  However, my changes have only been in the env_unix.c (maybe something in c-client too...).

I guess the main clue is that it only happens when it is the INBOX.

Any wisdom will be appreciated.

cheers,
ben

-- 
One of my least favorite things in the world is writing a pilot. 
Well, no, that's not true, it's also being stabbed.
			- Ben Edlund
			  May 2000, New England Comics interview
-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------